package com.example.wabi.view.screeens.basket

import android.graphics.Bitmap
import android.graphics.BitmapFactory
import android.net.Uri
import android.util.Log
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.wabi.domain.repository.UserShareDate
import com.example.wabi.domain.supabase.SupabaseServiceImpl
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.launch
import java.io.ByteArrayOutputStream
import javax.inject.Inject

@HiltViewModel
class BasketViewModel @Inject constructor(private val supabase: SupabaseServiceImpl) : ViewModel() {

    fun getListBasket() {
        viewModelScope.launch {
            val list = supabase.getBasket()
            Log.d("basket", list.toString())
        }
    }
}